Subject: bug#52823: [PATCH 1/2] gnu: gx-vbass-preamp-lv2: Update to latest commit to fix build issue.

From: Maxime Devos <[email-masked]>
Date: Sun, 24 Jul 2022 12:57:46 +0200

On 24-07-2022 12:19, Thorsten Wilms wrote:

> Well, CC=gcc was the intention, no idea how I mixed that up. BTW, where
> does cc-for-target come from and why doesn’t a simple string suffice?

It comes from (guix utils). It suffices when compiling natively, but not 
when cross-compiling, because when cross-compiling to TARGET, you need 
the cross-compiler TARGET-gcc to produce the right binaries. 
(cc-for-target) emits "gcc" when compiling natively and "TARGET-gcc" 
when cross-compiling.

Not hardcoding a particular compiler (gcc or clang) would also help to 
allow --with-c-toolchain to override the compiler to use (see 
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=47648), though not all the 
right bits are in the right places yet for that to work.

Greetings,
Maxime